Subject: bug#31247: fetching an svn repository always results in a different hash

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 24 Apr 2018 22:56:41 +0200

Hi Julien,

On Tue, 24 Apr 2018 22:40:21 +0200
Julien Lepiller <[email-masked]> wrote:

> > > I'm trying to use svn-fetch in a new package, but I always get a
> > > different hash when I try to download the sources. I think this is
> > > due to fetching external resources. Here are two adresses that
> > > trigger this bug:    
> > 
> > Can you try comparing the differences between the downloaded archives?
> > The diffoscope program will be useful.  
> 
> There are differences in .svn/wc.db. The top .svn directory is removed,
> but there are other .svn directories that are not removed and contain a
> wc.db file. In my case, src/lib/kStuff/.svn is kept intact and differs
> every time.

I think we should change guix/build/svn.scm to also delete the other ".svn"
directories.

Those contain state that is not necessary for the build - and since it's
causing trouble, we can just remove them.